Patch file generated Tue Apr 17 00:18:17 NZST 2007 from
CVS branch nocpp
CVS base branch HEAD
CVS repository: amosjeffries@cvs.devel.squid-cache.org:/cvsroot/squid
CVS module: squid3

cvs -q rdiff -u -kk -r Z-nocpp_merge_HEAD -r nocpp squid3
Index: squid3/bootstrap.sh
diff -u squid3/bootstrap.sh:1.20 squid3/bootstrap.sh:1.20.6.2
--- squid3/bootstrap.sh:1.20    Mon Mar 20 19:15:31 2006
+++ squid3/bootstrap.sh Fri Apr 13 03:57:49 2007
@@ -66,8 +66,7 @@

 for dir in \
        "" \
-       lib/libTrie \
-       lib/cppunit-1.10.0
+       lib/libTrie
 do
     if [ -z "$dir" ] || [ -d $dir ]; then
        if (
Index: squid3/configure.in
diff -u squid3/configure.in:1.130 squid3/configure.in:1.129.2.2
--- squid3/configure.in:1.130   Sun Apr 15 08:00:25 2007
+++ squid3/configure.in Mon Apr 16 00:11:34 2007
@@ -1789,17 +1789,17 @@
   SQUID_CPPUNIT_LA=''
   SQUID_CPPUNIT_INC="`$CPPUNITCONFIG --cflags`"
 else
-  SQUID_CPPUNIT_DIR='cppunit-1.10.0'
-  SQUID_CPPUNIT_LA='$(top_builddir)/lib/cppunit-1.10.0/src/cppunit/libcppunit.la'
-  SQUID_CPPUNIT_LIBS='$(SQUID_CPPUNIT_LA)'
-  SQUID_CPPUNIT_INC='-I$(top_builddir)/lib/cppunit-1.10.0/include -I $(top_srcdir)/lib/cppunit-1.10.0/include'
+  echo "cppunit does not apear to be installed. squid does not require this, but code testing with 'make check' will fail."
+  SQUID_CPPUNIT_DIR=''
+  SQUID_CPPUNIT_LA=''
+  SQUID_CPPUNIT_LIBS=''
+  SQUID_CPPUNIT_INC=''
 fi

 AC_ARG_WITH(cppunit-basedir,
 [  --with-cppunit-basedir=/path/to/cppunit-base
                           Path where the cppunit headers are libraries are found
-                         for unit testing. (defaults to use internal copies -
-                         version 1.10.0)
+                         for unit testing. ('make check' will fail without it)
                          ],
 [ if test -f $withval/include/cppunit/TestCase.h; then
        echo "Using cppunit includes from $withval"
@@ -3305,6 +3305,5 @@
 ])

 AC_CONFIG_SUBDIRS(lib/libTrie)
-AC_CONFIG_SUBDIRS(lib/cppunit-1.10.0)

 AC_OUTPUT
Index: squid3/lib/Makefile.am
diff -u squid3/lib/Makefile.am:1.17 squid3/lib/Makefile.am:1.17.2.1
--- squid3/lib/Makefile.am:1.17 Sat Sep  2 06:52:12 2006
+++ squid3/lib/Makefile.am      Fri Apr 13 03:41:49 2007
@@ -3,7 +3,7 @@
 #  $Id$
 #

-DIST_SUBDIRS = libTrie cppunit-1.10.0
+DIST_SUBDIRS = libTrie
 SUBDIRS= libTrie @SQUID_CPPUNIT_DIR@

 install: all

